<?php
App::uses('AppHelper', 'View/Helper');

class ProductsHelper extends AppHelper {

	/**
	 * for a product with single variant, extract the requests data
	 *
	 * @param 	string 		The column to extract
	 * @param 	array 		The Data array
	 * @return 	mixed 		The extracted data or bool false if multiple variants
	 */
	public function singleVariantData($item, $data) {
		if (count($data['Variant']) > 1) {
			return false;
		}

		return Hash::get($data, 'Variant.0.' . $item);
	}
}
